select
month,
day,
uri_host,
sum(response_size)
from
webrequest TABLESAMPLE(BUCKET 1 OUT OF 10000 ON rand())
where
year = 2016
and month = 8 and (day between 8 and 30)
and uri_host like '%.m.wikipedia.org'
and ((uri_path rlike '^/wiki/([^:])+$') or (uri_path = '/w/load.php' and uri_query rlike 'skins\.minerva\.icons\.images\.scripts&skin=minerva' and referer rlike '^https://([^.]+)\.m\.wikipedia\.org/wiki/([^:])+$'))
and agent_type = 'user'
and http_status = '200'
group by
month,
day,
uri_host
;
