select
month,
day,
substr(referer,1,26),
sum(response_size)
from
webrequest TABLESAMPLE(BUCKET 1 OUT OF 10000 ON rand())
where
year = 2016
and month = 8 and (day between 8 and 30)
and uri_host = 'upload.wikimedia.org'
and referer rlike '^https://([^.]+)\.m\.wikipedia\.org/wiki/([^:])+$'
and content_type rlike '^image'
and agent_type = 'user'
and http_status = '200'
group by
month,
day,
substr(referer,1,26)
;
