select
month,
day,
uri_host,
content_type,
is_pageview,
count(1)
from
webrequest TABLESAMPLE(BUCKET 1 OUT OF 10000 ON rand())
where
year = 2016
and month = 8 and (day between 8 and 30)
and uri_host like '%.m.wikipedia.org'
and uri_path rlike '^/wiki/([^:])+$'
and agent_type = 'user'
and http_status = '200'
group by
month,
day,
uri_host,
content_type,
is_pageview
;
